Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/php7-imagick: new aport

Valery Kartel
Details
Message ID
<20161202234338.20539-1-valery.kartel@gmail.com>
Sender timestamp
1480722218
DKIM signature
missing
Download raw message
Patch: +34 -0
http://pecl.php.net/package/imagick
Provides a wrapper to the ImageMagick library
---
 testing/php7-imagick/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/php7-imagick/APKBUILD

diff --git a/testing/php7-imagick/APKBUILD b/testing/php7-imagick/APKBUILD
new file mode 100644
index 0000000000..3781c8713d
--- /dev/null
+++ b/testing/php7-imagick/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=php7-imagick
+pkgver=3.4.3_rc1
+pkgrel=0
+_pkgver=${pkgver/_rc/RC}
+_pkgname=${pkgname#*-}
+pkgdesc="Provides a wrapper to the ImageMagick library"
+url="http://pecl.php.net/package/$_pkgname"
+arch="all"
+license="PHP"
+depends=""
+makedepends="${pkgname%%-*}-dev autoconf libtool imagemagick-dev"
+subpackages="$pkgname-dev"
+source="http://pecl.php.net/get/$_pkgname-$_pkgver.tgz"
+builddir="$srcdir"/$_pkgname-$_pkgver
+
+build() {
+	cd "$builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	echo "extension=$_pkgname.so" > $_pkgname.ini
+	install -Dm644 $_pkgname.ini \
+		"$pkgdir"$(php-config | xargs -n1 | grep config-file-scan-dir | cut -d= -f2)/$_pkgname.ini
+}
+md5sums="32042fc3043f013047927de21ff15a47  imagick-3.4.3RC1.tgz"
+sha256sums="50bbc46e78cd6e1ea5d7660be1722258e60b1729483ca14b02da7cf9f5ed3e6a  imagick-3.4.3RC1.tgz"
+sha512sums="f37280dbf1adb929b7b7bb6f75321484f7c630b04ef8b883c8c2713f0bd54ddab5dc652f5a6c42cdd8061240205ca7c3e91db1adf7620c1fbc5a2938e59bf69d  imagick-3.4.3RC1.tgz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---